Bug 1158983 - Review Request: libgeotiff - GeoTIFF format library
Summary: Review Request: libgeotiff - GeoTIFF format library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 16:00 UTC by Orion Poplawski
Modified: 2014-11-18 08:11 UTC (History)
2 users (show)

Fixed In Version: libgeotiff-1.2.5-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 08:11:02 UTC
kevin: fedora-review+


Attachments (Terms of Use)

Description Orion Poplawski 2014-10-30 16:00:06 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/libgeotiff.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/libgeotiff-1.2.5-6.el6.src.rpm
Description:
GeoTIFF represents an effort by over 160 different remote sensing, 
GIS, cartographic, and surveying related companies and organizations 
to establish a TIFF based interchange format for georeferenced 
raster imagery.

Fedora Account System Username: orion

This is a re-review to un-retire libgeotiff in EPEL6

Comment 1 Kevin Fenzi 2014-10-30 16:13:54 UTC
I'll review this. Look for a full review in a bit.

Comment 2 Kevin Fenzi 2014-10-31 17:06:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
1. non blocker: would the docs be better in a -docs subpackage?

I don't see any blockers, so this package is APPROVED.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated", "BSD (4 clause)". 46 files
     have unknown license. Detailed output of licensecheck in
     /home/fedora/kevin/1158983-libgeotiff/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 419840 bytes in 61 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libgeotiff-
     devel
[x]: Package functions as described.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[?]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 4730880 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libgeotiff-1.2.5-6.el6.x86_64.rpm
          libgeotiff-devel-1.2.5-6.el6.x86_64.rpm
          libgeotiff-1.2.5-6.el6.src.rpm
libgeotiff.x86_64: W: spelling-error %description -l en_US georeferenced -> referenced
libgeotiff.x86_64: W: no-manual-page-for-binary listgeo
libgeotiff.x86_64: W: no-manual-page-for-binary geotifcp
libgeotiff.x86_64: W: no-manual-page-for-binary makegeo
libgeotiff-devel.x86_64: W: spelling-error %description -l en_US geotiff -> Geoffrey
libgeotiff-devel.x86_64: W: only-non-binary-in-usr-lib
libgeotiff.src: W: spelling-error %description -l en_US georeferenced -> referenced
3 packages and 0 specfiles checked; 0 errors, 7 warnings.


Requires
--------
libgeotiff-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libgeotiff
    libgeotiff.so.1.2()(64bit)
    libtiff-devel
    pkgconfig

libgeotiff (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgeotiff.so.1.2()(64bit)
    libjpeg.so.62()(64bit)
    libm.so.6()(64bit)
    libproj.so.0()(64bit)
    libtiff.so.3()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
libgeotiff-devel:
    libgeotiff-devel
    libgeotiff-devel(x86-64)
    pkgconfig(libgeotiff)

libgeotiff:
    libgeotiff
    libgeotiff(x86-64)
    libgeotiff.so.1.2()(64bit)



Source checksums
----------------
http://download.osgeo.org/geotiff/libgeotiff/libgeotiff-1.2.5.tar.gz :
  CHECKSUM(SHA256) this package     : f27b1758d6899805107e4c5bea17eb19e8d2dae7942cc06040fa837acfe95e7c
  CHECKSUM(SHA256) upstream package : f27b1758d6899805107e4c5bea17eb19e8d2dae7942cc06040fa837acfe95e7c


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1158983 -m epel-6-x86_64
Buildroot used: epel-6-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Orion Poplawski 2014-10-31 17:42:16 UTC
Thanks!  I'll look at making a -data package.

Unretirement request:

Package Change Request
======================
Package Name: libgeotiff
New Branches: el6
Owners: orion
InitialCC:

Comment 4 Till Maas 2014-11-01 08:36:01 UTC
Git done (by process-git-requests).

Comment 5 Orion Poplawski 2014-11-01 13:54:22 UTC
Still can't push:

remote: W refs/heads/el6 libgeotiff orion DENIED by refs/heads/el[0-9]
remote: error: hook declined to update refs/heads/el6
To ssh://orion@pkgs.fedoraproject.org/libgeotiff
 ! [remote rejected] el6 -> el6 (hook declined)
error: failed to push some refs to 'ssh://orion@pkgs.fedoraproject.org/libgeotiff'

Comment 6 Orion Poplawski 2014-11-01 13:58:04 UTC
Seems to still be marked retired in pkgdb for el6, and I don't seem to be able to make myself the POC for el6.

Comment 7 Kevin Fenzi 2014-11-01 16:08:23 UTC
I've changed poc on el6 to you. Can you see if that fixed it now?

Comment 8 Orion Poplawski 2014-11-01 16:25:19 UTC
Looks good.  Thanks.

Comment 9 Fedora Update System 2014-11-01 16:59:47 UTC
libgeotiff-1.2.5-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libgeotiff-1.2.5-6.el6

Comment 10 Fedora Update System 2014-11-01 22:33:55 UTC
Package libgeotiff-1.2.5-6.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing libgeotiff-1.2.5-6.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3747/libgeotiff-1.2.5-6.el6
then log in and leave karma (feedback).

Comment 11 Gwyn Ciesla 2014-11-03 14:08:57 UTC
Branch exists.

Comment 12 Fedora Update System 2014-11-18 08:11:02 UTC
libgeotiff-1.2.5-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.